pragha(1)

NAME

pragha - A lightweight music player, forked of Consonance Music Manager

SYNTAX

pragha [OPTION...] [FILE1 [FILE2...]]

DESCRIPTION

pragha is a lightweight music player that aims to be fast, bloat-free, and light on memory consumption. It is written completely in C and GTK+. Some of the features are:

  * Library management using sqlite3
  * Multiple views
  * OSD support
  * asf, ape, flac, mp3, mp4, ogg, wav, wma, and CDDA support

pragha is released under the GNU General Public Licence version 3 (GPLv3).

OPTIONS

-?, --help
    Output help information and exit.

--help-all
    Output all help options and exit.

--help-gtk
    Output GTK+ Options and exit.

-v, --version
    Output version information and exit.

-e, --debug
    Enable Debug ( Levels: 1,2,3,4 )

-l, --log-file
    Log Debug to a file.

-p, --play
    Start playing.

-s, --stop
    Stop playing.

-t, --pause
    Play/Pause/Resume the current song.

-r, --prev
    Play the previous song in the playlist.

-n, --next
    Play the next song in the playlist.

-f, --shuffle
    Toggle shuffle mode.

-u, --repeat
    Toggle repeat mode.

-i, --inc_vol
    Increase the volume by 1.

-d, --dec_vol
    Decrease the volume by 1.

-o, --show_osd
    Show OSD notification (a popup window with info about the current song).

-x, --toggle_view
    Toggle player visibility

-c, --current_state
    Get current player state.

-a, --audio_backend
    Audio backend (valid options: alsa/oss)

-g, --audio_device
    Audio Device (For ALSA: hw:0,0 etc.., For OSS: /dev/dsp etc..)

-m, --audio_mixer
    Mixer Element (For ALSA: Master, PCM, etc.., For OSS: /dev/mixer, etc...)

--display=DISPLAY
    Set the X display to use.

USAGE

* Add a library location in menu Edit - Preferences.
* Rescan Library from menu Tools.
* Start using. :-)

FILES

$HOME/.config/pragha/pragha.db
    Library database (in sqlite3 format)

$HOME/.config/pragha/config
    personal settings (use the GUI interface to change them, Edit - Preferences)

$HOME/.cache/pragha-album-art
    Basic cache for downloaded cover art saved as artist - album.jpeg

AUTHORS
Pragha was originally a fork of Consonance written by Sujith <m.sujith@gmail.com>
At the moment developed by Matias De lellis. <mati86dl@gmail.com>
Man page written by Martin Zelaia <martintxo@sindominio.net>

SEE ALSO

http://pragha-music-player.github.io and http://sites.google.com/site/consonancemanager